%MRDIVIDE   Overloaded operator for a/b.

% (C) Copyright 1999-2009               Pattern Recognition Group
%     All rights reserved               Faculty of Applied Physics
%                                       Delft University of Technology
%                                       Lorentzweg 1
%                                       2628 CJ Delft
%                                       The Netherlands
%
% Cris Luengo, July 2000.
% 21 September 2009: Allowing tensor/scalar operation

function out = mrdivide(in1,in2)
if isa(in2,'dip_image_array')
   error('Matrix division not implemented for objects of type dip_image.');
end
try
   [in1,in2,arrayop] = doarrayinputs(in1,in2);
   if arrayop
      out = compute2array('rdivide',in1,in2);
   else
      out = compute2('rdivide',in1,in2);
   end
catch
   error(di_firsterr)
end
